Name:           muine
Version:        0.8.7
Release:        3%{?dist}
Summary:        Music Player for GNOME

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.muine-player.org/
Source0:        http://www.muine-player.org/releases/muine-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel, gtk-sharp2-gapi, gtk-sharp2-devel
BuildRequires:  gtk2-devel, gnome-vfs2-devel, gnome-icon-theme, gdbm-devel
BuildRequires:  gstreamer-devel, gnome-sharp-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libvorbis-devel, flac-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils, gettext
Requires:       mono-core, mono-web, gtk-sharp2

Requires(pre):  GConf2
Requires(post): GConf2, desktop-file-utils
Requires(preun): GConf2
Requires(postun): desktop-file-utils

%description
Muine is a new music player for GNOME using some new UI ideas. 
The idea is that it will be much easier and comfortable 
to use than the iTunes model, which is used by most
GNOME music players. It is written in C and C#, 
using GStreamer for music playback.

%package devel
Summary: Files required for Muine plug-in development
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Files needed for building plug-ins for Muine.

Muine is a music player for GNOME

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install

#install tray plugin which is not included by default
install plugins/TrayIcon.dll $RPM_BUILD_ROOT%{_libdir}/muine/plugins/
install -m 644 plugins/TrayIcon.dll.config $RPM_BUILD_ROOT%{_libdir}/muine/plugins/
install plugins/muine-tray* $RPM_BUILD_ROOT%{_libdir}/muine/plugins/

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}
desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --add-category X-Fedora                         \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
update-desktop-database &> /dev/null ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_datadir}/dbus-1/services/org.gnome.Muine.service
%dir %{_libdir}/muine
%{_libdir}/muine/*.dll*
%{_libdir}/muine/*.so*
%{_libdir}/muine/*.exe*
%dir %{_libdir}/muine/plugins
%{_libdir}/muine/plugins/InotifyPlugin.dll*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/muine.*
%{_libdir}/muine/plugins/TrayIcon.dll*
%{_libdir}/muine/plugins/muine-tray-*.png

%files devel 
%{_libdir}/pkgconfig/*.pc
%{_libdir}/muine/*.a

%changelog
* Sun Mar 25 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.7-3
- Add unowned directories, fix #233885
* Mon Jan 22 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.7-1
- Update to 0.8.7
- Remove obsoleted dbus-sharp dependency
- Update files list to reflect changes
* Mon Nov 13 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.6-2
- Add patch to fix trayicon transparency
* Mon Nov 13 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.6-1
- New release
- Add gtk icon cache scriplet for new icons
* Fri Sep 29 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.5-7
- Removed replacement of libdir
* Fri Sep 15 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.5-6
- Add missing dbus-sharp-devel dependency
* Fri Sep 15 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.5-5
- Add missing gnome-sharp-devel depdendency
* Fri Sep 15 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.5-3
- Add missing gtk2-sharp-devel dependency
* Tue Sep 12 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.5-2
- Add missing perl-XML-Parser dependency to fix build
* Tue Jun 20 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.5-1
- Bump version to 0.8.5
* Sun Apr 02 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.4-7
- Remove epoch in -devel Requires
* Tue Mar 23 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.8.4-6
- Add missing mono-web dependency 
* Tue Mar 14 2006 Sindre Pedersen Bjørdal <foolish[AT]fedoraforum.org> - 0.8.4-5
- Patch added to really fix the x86_64 issue
* Mon Mar 13 2006 Sindre Pedersen Bjørdal <foolish[AT]fedoraforum.org> - 0.8.4-4
- Replace _libdir with _prefix/lib/ for 64-bit
* Mon Mar 06 2006 Sindre Pedersen Bjørdal <foolish[AT]fedoraforum.org> - 0.8.4-3
- Include trayicon by default
- Fix GConf scriptlets
- Create -devel package for devel files
* Tue Feb 16 2006 Sindre Pedersen Bjørdal <foolish[AT]fedoraforum.org> - 0.8.4-2
- Remove Dashboard plugin, as dashboard doesn't exist yet.
* Mon Jan 30 2006 Sindre Pedersen Bjørdal <foolish[AT]fedoraforum.org> - 0.8.4-1
- Initial build
